### Method

# SpiceClientGLib Session connect

#### Declaration [src]

    gboolean
    spice_session_connect (
      SpiceSession* session
    )

#### Description [src]

Open the session using the `SpiceSession:host` and `SpiceSession:port`.

#### Return value

Type: `gboolean`

`FALSE` if the session state is invalid for connection request. `TRUE` if the connection is initiated. To know whether the connection is established, you must watch for channels creation (`SpiceSession::channel-new`) and the channels state (`SpiceChannel::channel-event`).